ALTER TABLE `mortals_xhx_business_license` ADD COLUMN  `PermitPrintDate` varchar(32) DEFAULT '' COMMENT '签发日期';


ALTER TABLE `mortals_xhx_apply_log` ADD COLUMN `charge` tinyint(2) NOT NULL   DEFAULT '0'  COMMENT '是否需要收费',
ADD COLUMN `amount` int(8) NOT NULL   DEFAULT '0'  COMMENT '收费金额(单位:分)';


ALTER TABLE `mortals_xhx_print_wait_queue` ADD COLUMN `charge` tinyint(2) NOT NULL   DEFAULT '0'  COMMENT '是否需要收费0否1是',
ADD COLUMN `amount` int(8) NOT NULL   DEFAULT '0'  COMMENT '收费金额(单位:分)',
ADD COLUMN `paystatus` tinyint(2) NOT NULL   DEFAULT '0'  COMMENT '支付状态0未支付1已支付';

ALTER TABLE `mortals_xhx_print_log` ADD COLUMN `faceUrl` varchar(255)  COMMENT '取件人人脸信息',
ADD COLUMN `signUrl` varchar(255)      COMMENT '取件人签名信息',
ADD COLUMN `printQueueId` bigint(20)      COMMENT '打印队列ID';

-- ----------------------------
-- 支付请求表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_pay_requst`;
CREATE TABLE mortals_xhx_pay_requst(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `applyId` bigint(20)      COMMENT '申请ID',
    `printQueueId` bigint(20)      COMMENT '打印队列ID',
    `orderNum` varchar(64) NOT NULL     COMMENT '支付订单编号',
    `amount` int(8) NOT NULL   DEFAULT '0'  COMMENT '订单金额(单位:分)',
    `orderDate` datetime NOT NULL     COMMENT '订单日期',
    `qrcodeUrl` varchar(255)      COMMENT '支付二维码',
    `payExpire` int(8)      COMMENT '二维码有效时间单位秒',
    `payStatus` tinyint(2)      COMMENT '支付状态',
    `createUserId` bigint(20) NOT NULL     COMMENT '创建用户',
    `createTime` datetime NOT NULL     COMMENT '创建时间',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
,KEY `orderNum` (`orderNum`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='支付请求';

ALTER TABLE `mortals_xhx_print_wait_queue` ADD COLUMN  `orderNum` varchar(128)      COMMENT '订单号';