package com.mortals.xhx.sms;

import cn.hutool.http.ContentType;
import cn.hutool.http.Header;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.alibaba.fastjson.JSONObject;

import java.util.HashMap;

public class SMSUtil {
    protected static final String APP_ID = "290f9490-f452-119b-0cbc-d42ab7ccf302";
    protected static final String app_Secret = "EC78223CE3CC5AAFC549672F6E4EDE34";

    protected static final String GET_AUTHKEY = "http://221.237.182.106:7876/api/open/getAuthKey";
    protected static final String SEND_MSG = "http://221.237.182.106:7876/api/externalInter/send-msg";

    public static void main(String[] args) {
        JSONObject body = new JSONObject();
        body.put("appid",APP_ID);
        body.put("appSecret",app_Secret);
        HashMap<String, String> headerMap = new HashMap<>();
        headerMap.put(Header.CONTENT_TYPE.getValue(), ContentType.JSON.getValue());
        HttpResponse response = HttpRequest.post(GET_AUTHKEY)
                .body(body.toJSONString())
                .addHeaders(headerMap).timeout(20000).execute();
        String respBodyStr = response.body();
        System.out.println(respBodyStr);
        JSONObject respJson = JSONObject.parseObject(respBodyStr);
        if(respJson.getString("code").equals("200")){
            String accessToken = respJson.getJSONObject("data").getString("accessToken");
            HashMap<String, String> headerMapSend = new HashMap<>();
            headerMapSend.put(Header.CONTENT_TYPE.getValue(), ContentType.JSON.getValue());
            headerMapSend.put("Access-Token",accessToken);
            JSONObject bodySend = new JSONObject();
            bodySend.put("phone","13880214439");          //手机号
            bodySend.put("type","dzfw");       // dzfw 通知打证，dzjs 打证结束
            String[] zs = {"测试证书"};
            bodySend.put("param",zs);        //["证书名称"]
            HttpResponse sendResponse = HttpRequest.post(SEND_MSG)
                    .body(bodySend.toJSONString())
                    .addHeaders(headerMapSend).timeout(20000).execute();
            System.out.println(sendResponse.body());
        }
    }

    /**
     * 短信发送
     * @param mobile 手机号
     * @param type 短信类型1通知打证，2打印结束
     * @param content 证书名称
     */
    public static void sendMsg(String mobile,Integer type,String[] content){
        JSONObject body = new JSONObject();
        body.put("appid",APP_ID);
        body.put("appSecret",app_Secret);
        HashMap<String, String> headerMap = new HashMap<>();
        headerMap.put(Header.CONTENT_TYPE.getValue(), ContentType.JSON.getValue());
        HttpResponse response = HttpRequest.post(GET_AUTHKEY)
                .body(body.toJSONString())
                .addHeaders(headerMap).timeout(20000).execute();
        String respBodyStr = response.body();
        System.out.println(respBodyStr);
        JSONObject respJson = JSONObject.parseObject(respBodyStr);
        if(respJson.getString("code").equals("200")){
            String accessToken = respJson.getJSONObject("data").getString("accessToken");
            HashMap<String, String> headerMapSend = new HashMap<>();
            headerMapSend.put(Header.CONTENT_TYPE.getValue(), ContentType.JSON.getValue());
            headerMapSend.put("Access-Token",accessToken);
            JSONObject bodySend = new JSONObject();
            bodySend.put("phone",mobile);          //手机号
            if(type==1) {
                bodySend.put("type", "dzfw");       // dzfw 通知打证，dzjs 打证结束
            }else {
                bodySend.put("type", "dzjs");
            }
            String[] zs = {"测试证书"};
            bodySend.put("param",content);        //["证书名称"]
            HttpResponse sendResponse = HttpRequest.post(SEND_MSG)
                    .body(bodySend.toJSONString())
                    .addHeaders(headerMapSend).timeout(20000).execute();
            //System.out.println(sendResponse.body());
        }
    }
}
